YSTest: YSLib::Components::Styles::Palette Class Reference

YSTest PreAlpha_b380_20130211 The YSLib Test Project

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Member Functions | Private Attributes | List of all members
YSLib::Components::Styles::Palette Class Reference

默认调色板。 More...

`#include <ystyle.h>`

Collaboration diagram for YSLib::Components::Styles::Palette:
[legend]

## Public Types

typedef Drawing::Color | ItemType
typedef vector< ItemType > | ColorListType

## Public Member Functions

| Palette ()
| 无参数构造。
Drawing::Color & | operator[] (size_t s)
| 取颜色引用。
const ColorListType & | GetList () const ynothrow
ColorListType & | GetList () ynothrow
pair< Drawing::Color, Drawing::Color > | GetPair (ColorListType::size_type, ColorListType::size_type) const
| 取指定下标的颜色对。

## Private Attributes

ColorListType | colors

## Detailed Description

默认调色板。

Since
  build 204

Definition at line 178 of file ystyle.h.

## Member Typedef Documentation

typedef vector<ItemType> YSLib::Components::Styles::Palette::ColorListType

Definition at line 182 of file ystyle.h.

typedef Drawing::Color YSLib::Components::Styles::Palette::ItemType

Definition at line 181 of file ystyle.h.

## Constructor & Destructor Documentation

Palette::Palette | ( |  | ) |

无参数构造。

Note
  得到包含默认界面颜色配置的调色板。

Definition at line 228 of file ystyle.cpp.

References platform::ColorSpace::Aqua.

## Member Function Documentation

const ColorListType& YSLib::Components::Styles::Palette::GetList | ( |  | ) | const

inline

Definition at line 201 of file ystyle.h.

ColorListType& YSLib::Components::Styles::Palette::GetList | ( |  | ) |

inline

Definition at line 202 of file ystyle.h.

pair<Drawing::Color, Drawing::Color> YSLib::Components::Styles::Palette::GetPair | ( | ColorListType::size_type | ,
|  | ColorListType::size_type |
| ) |  | const

取指定下标的颜色对。

Drawing::Color& YSLib::Components::Styles::Palette::operator[] | ( | size_t | s | ) |

inline

取颜色引用。

Definition at line 198 of file ystyle.h.

## Member Data Documentation

ColorListType YSLib::Components::Styles::Palette::colors

private

Definition at line 185 of file ystyle.h.

The documentation for this class was generated from the following files:

- ystyle.h
- ystyle.cpp